{% extends 'base.html' %}
{% load static i18n %}

{% block title %}{% trans "Questions" %}{% endblock %}

{% block head %}
  <link href="{% static 'css/qa.css' %}" rel="stylesheet">
{% endblock head %}

{% block content %}
 
<div class="page-header">
    <h1>Download All Your Questions<h1>
   <a href="#" class="btn btn-primary download-btn">
      <i class="fa fa-save " aria-hidden="true"></i> {% trans "Yes! Save" %}
    </a>
    <a href="{% url 'qa:index_noans' %}" class="btn btn-danger cancel-btn">
      <i class="fa fa-remove" aria-hidden="true"></i> {% trans "Cancel" %}
    </a>
    </div>
{% endblock content %}
{% block modal %} 

    <script>
      var taskid;
        $('.download-btn').click(function(){
          console.log('click');

          $.ajax({
            url: '{% url "qa:download_question" user.id %}',
            type : 'POST', 
            headers: {'X-CSRFToken': $('{% csrf_token %}').attr('value')
          }, 
            success: function(data){
              taskid = data.task_id;

              $('.cancel-btn').removeClass('btn-danger').text(data.status+'...');
              statusQuery();
              
              }
        });
        });

      function statusQuery(task_id = taskid){
        $.ajax({
          url: '{% url "qa:download_question_status" %}' + '?task_id='+ task_id,
          type : 'GET',
          success: function(data){
            if(data.status === 'PENDING'){
              setTimeout(ajaxRequest, 1000)
            }
            else if(data.status === 'SUCCESS'){
              console.log('yessss sucesss!!!!')
              $('.cancel-btn').hide()
              $('.download-btn').text('Download').attr('href', "{%url 'qa:download_file' user.id%}")
            }
          },
          }
      )}
    </script>
{% endblock modal %} 
